Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 166511 - DAEMON_COREFILE_LIMIT doesn't apply to "daemon --user"
Summary: DAEMON_COREFILE_LIMIT doesn't apply to "daemon --user"
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-08-22 18:19 UTC by Ville Skyttä
Modified: 2014-03-17 02:55 UTC (History)
1 user (show)

Fixed In Version: 8.17-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-03 21:40:56 UTC


Attachments (Terms of Use)
Make DAEMON_COREFILE_LIMIT affect "daemon --user foo" invocations (deleted)
2005-08-22 18:19 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2005-08-22 18:19:42 UTC
When using "daemon --user foo", DAEMON_COREFILE_LIMIT doesn't affect the     
environment where the daemon to be started actually runs in; it works only 
without --user. 
     
Attached is a *very* lightly tested, somewhat crude patch which seems to fix  
it.  I'm not enough a shell wizard to know for certain whether the patch would  
affect how the $* gets expanded in the runuser command line, so approach with  
caution.

Comment 1 Ville Skyttä 2005-08-22 18:19:42 UTC
Created attachment 117975 [details]
Make DAEMON_COREFILE_LIMIT affect "daemon --user foo" invocations

Comment 2 Bill Nottingham 2005-10-03 21:40:56 UTC
Added, will be in 8.17-1.


Note You need to log in before you can comment on or make changes to this bug.